Bug 484264 - Internal Server Error when modifying a cloned kickstart/No boot menu entry
Internal Server Error when modifying a cloned kickstart/No boot menu entry
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Jesus M. Rodriguez
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-02-05 13:46 EST by Tim Tedford
Modified: 2009-09-10 08:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception notification (6.32 KB, text/plain)
2009-02-05 13:46 EST, Tim Tedford
no flags Details

  None (edit)
Description Tim Tedford 2009-02-05 13:46:30 EST
Created attachment 331042 [details]
Exception notification

Description of problem:
I have my activation key set up to allow config file deployment, but the client always bombs out with "Local permission not set for action type configfiles.deploy". 

When I try to turn on the checkbox on the kickstart profile itself, it always  reverts back to cleared. I've tried adding "rhn-actions-control --enable-all" to my post-script, but that's a no-go.

furthermore, when I clone an existing kickstart profile, the resulting profile does not show up in the boot menu.. and editing Kickstart Details/Operating System on that results in a 500.. null pointer exception. 

Error is attached.
Comment 1 Tim Tedford 2009-02-05 14:08:44 EST
After restarting taskomatic, these entries were written to /var/log/rhn/rhn_taskomatic_daemon.log


13:05:02 | 2009-02-05 13:05:02,691 [DefaultQuartzScheduler_Worker-9] WARN com.redhat.rhn.manager.kickstart.cobbler.CobblerProfileCommand - We could not find a default kickstart session for this ksdata: Production_App_Php5

INFO | jvm 1 | 2009/02/05 13:05:03 | 2009-02-05 13:05:03,192 [DefaultQuartzScheduler_Worker-9] WARN com.redhat.rhn.manager.kickstart.cobbler.CobblerProfileCommand - We could not find a default kickstart session for this ksdata: ClonedTest
Comment 2 Tim Tedford 2009-02-05 14:20:38 EST
After restarting taskomatic, the profile is now listed in "cobbler sync profile" and the gui appears to work as expected.
Comment 3 wes hayutin 2009-02-06 09:04:57 EST
make sure that in the activation key -> packages
the following packages are listed. 
rhncfg
rhncfg-client
rhncfg-actions

Also, make sure that the provisioning entitlement is enabled for that activation key.

The three packages, and provisioning entitlement should get set automatically when you check the box "enable config file deployment", however if that is NOT happening.. thats a bug.
Comment 4 Justin Sherrill 2009-07-31 12:18:38 EDT
These issues should be fixed now:

1.  SHould be able to enable config deploy on a kickstart profile.
2. The kickstart cloning oddness, should be fixed now.  Moving to on_qa for more testing.
Comment 5 Miroslav Suchý 2009-09-10 08:05:16 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.